Skip to main content
GET
List Payment Link Payments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ID of the Payment Link to get the payments for

Response

200 - application/json

Paginated response with payment link payments

current_page
integer

Current page of the response

Example:

1

data
object[]

Array of Payment Link Payment objects

first_page_url
string

Endpoint to go to the first page of objects

Example:

"https://api.mijnklantportaal.nl/v1/payment-links/plk_abc12345def678/payments?page=1"

from
integer

Offset of the current page

Example:

1

next_page_url
string | null

Endpoint to get the next batch of objects, if available

Example:

"https://api.mijnklantportaal.nl/v1/payment-links/plk_abc12345def678/payments?page=2,"

path
string

Current used endpoint

Example:

"https://api.mijnklantportaal.nl/v1/payment-links/plk_abc12345def678/payments"

per_page
integer

Amount of object returned per page. Default is 15 objects

Example:

15

prev_page_url
string | null

Endpoint to get the previous batch of object, if available

Example:

null

to
integer

Next offset of objects

Example:

15